# Class VariantEffectStructural

java.lang.Object
org.snpeff.snpEffect.VariantEffect
org.snpeff.snpEffect.VariantEffectStructural

All Implemented Interfaces:
  `Cloneable, Comparable<VariantEffect>`

Direct Known Subclasses:
  `VariantEffectFusion`

public class VariantEffectStructural extends VariantEffect
Effect of a structural variant affecting multiple genes

Author:
  pcingola

## Nested Class Summary

### Nested classes/interfaces inherited from class VariantEffect

`VariantEffect.Coding, VariantEffect.EffectImpact, VariantEffect.FunctionalClass`

## Field Summary

### Fields inherited from class VariantEffect

`aaAlt, aaRef, aasAroundNew, aasAroundOld, cDnaPos, codonDegeneracy, codonIndex, codonNum, codonsAlt, codonsAroundNew, codonsAroundOld, codonsRef, distance, effectImpact, effectImpacts, effectType, effectTypes, error, marker, MAX_CODON_SEQUENCE_LEN, message, variant, warning`

## Constructor Summary

Constructors
Constructor
Description
`VariantEffectStructural(Variant variant)`
`VariantEffectStructural(Variant variant, Markers intersects)`

## Method Summary

Modifier and Type
Method
Description
`protected int`
`countGenes(List<Marker> features)`
`protected EffectType`
`effect()`
`List<VariantEffect>`
`fusions()`
Is there another 'fusion' effect?
`Gene`
`getGene()`
`List<Gene>`
`getGenes()`
`Marker`
`getMarker()`
`protected boolean`
`isGene(Marker m)`
`boolean`
`isMultipleGenes()`
`protected boolean`
`isTranscript(Marker m)`
`String`
`toString()`

### Methods inherited from class VariantEffect

`addEffect, addEffectImpact, addEffectType, addErrorMessage, addErrorWarningInfo, addInfoMessage, addWarningMessge, clone, compareTo, effect, getAaAlt, getAaChange, getAaChangeOld, getAaLength, getAaNetChange, getAaRef, getBiotype, getcDnaPos, getCdsLength, getCodonChange, getCodonChangeMax, getCodonIndex, getCodonNum, getCodonsAlt, getCodonsRef, getDistance, getEffectImpact, getEffectType, getEffectTypes, getEffectTypeString, getEffectTypeString, getEffectTypeString, getError, getExon, getFunctionalClass, getGeneRegion, getGenotype, getHgvs, getHgvsDna, getHgvsProt, getIntron, getTranscript, getVariant, getWarning, hasAdditionalAnnotations, hasEffectImpact, hasEffectType, hasError, hasWarning, isCustom, isExon, isIntergenic, isIntron, isMotif, isNextProt, isRegulation, isSpliceSite, isSpliceSiteCore, isSpliceSiteRegion, isUtr3, isUtr5, set, setCodons, setCodonsAround, setDistance, setEffect, setEffectImpact, setEffectType, setMarker, toStr, toString, toStringSimple`

### Methods inherited from class Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### VariantEffectStructural

public VariantEffectStructural(Variant variant)

### VariantEffectStructural

public VariantEffectStructural(Variant variant, Markers intersects)

## Method Details

### countGenes

protected int countGenes(List<Marker> features)

### effect

protected EffectType effect()

### fusions

public List<VariantEffect> fusions()
Is there another 'fusion' effect?

### getGene

public Gene getGene()

Overrides:
  `getGene` in class `VariantEffect`

### getGenes

public List<Gene> getGenes()

Overrides:
  `getGenes` in class `VariantEffect`

### getMarker

public Marker getMarker()

Overrides:
  `getMarker` in class `VariantEffect`

### isGene

protected boolean isGene(Marker m)

### isMultipleGenes

public boolean isMultipleGenes()

Overrides:
  `isMultipleGenes` in class `VariantEffect`

### isTranscript

protected boolean isTranscript(Marker m)

### toString

public String toString()

Overrides:
  `toString` in class `VariantEffect`